Bug 200013 - Access to nfs mount hangs with kernel-2.6.17-1.2142_FC4
Access to nfs mount hangs with kernel-2.6.17-1.2142_FC4
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-24 16:34 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-18 14:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (123.07 KB, text/plain)
2006-07-24 16:34 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2006-07-24 16:34:25 EDT
Created attachment 132947 [details]
dmesg output
Comment 1 Orion Poplawski 2006-07-24 16:34:25 EDT
Description of problem:

Since booting kernel-2.6.17-1.2142_FC4 (and -1.2141), this system will
periodically lock up while accessing a NFS mount.  I've attached partial output
from a process trace (all that dmesg could capture).  There is a hung idl
process, as well as a couple ps processes that are hung.
Comment 2 Steve Dickson 2006-08-05 08:35:44 EDT
it appears all the process in the NFS code seem to be trying
to flush pages out... But I guess the hang comes from the
fact that pdflush is also trying to free pages... Note how
its sleeping in nfs_wait_on_request().... So at the end
of the day it appears we are in a low memory situation...

A couple of things, 1)  is there any network traffic going to
the server during this period? If so, what type messages
are they? 2) Could you please post a sysctl-M memory
Comment 3 Dave Jones 2006-09-16 22:10:00 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 Orion Poplawski 2006-09-18 14:01:00 EDT
Have not had a reoccurrence recently.  Closing for now.

Note You need to log in before you can comment on or make changes to this bug.